<!DOCTYPE html>
<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html;
                                             charset=utf-8">
    <title>GBN iframe</title>
  </head>

  <body>
    <h1>GBN</h1>

    <p>This demo will only work if a) you are actually allowed acces to the
    underlying GBN route data, and b) you've already authenticated by Raven to
    annotate.map.cam.ac.uk. The easy way to test the former and achieve the
    latter is to try to <a
    href="https://annotate.map.cam.ac.uk/adapters/gbn.json">view the
    UcanGeoJSON representation of the GBN</a>. Note that this demo is quite
    slow since the GBN data taxes the overlay system.</p>

    <p>Assuming your have the necessary authorisation (and are authenticated
    to annotate.map) you can also view the GBN overlayed on the main map at 
    <a href="https://map.cam.ac.uk/#https://annotate.map.cam.ac.uk/adapters/gbn.json">https://map.cam.ac.uk/#https://annotate.map.cam.ac.uk/adapters/gbn.json</a>.

    <iframe id="map" style="width: 600px; height: 500px; border: 1px solid black;
        margin: 0 auto; display: block;" 
        src="https://map.cam.ac.uk/#https://annotate.map.cam.ac.uk/adapters/gbn.json"></iframe>

  </body>

</html>
